Bug 37054 - doing testdisplay and then hotplug, DP can't be lighted
doing testdisplay and then hotplug, DP can't be lighted
Status: VERIFIED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
unspecified
All Linux (All)
: medium normal
Assigned To: Jesse Barnes
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 02:18 UTC by bo.b.wang
Modified: 2011-12-01 22:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bo.b.wang 2011-05-10 02:18:14 UTC
System Environment:
--------------------------
git://git.kernel.org/pub/scm/linux/kernel/git/keithp/linux-2.6.git
Kernel (drm-intel-fixes)dabc8ce34938f9fa2929f51d9fab730e78bd2184
Platform: Huronriver rev08, Piketon
DP port


Bug detailed description:
-------------------------
Doing testdisplay and then hotplug, DP port can't be lighted except killing testdisplay.

Reproduce steps:
----------------
1. DP port
2. Running testdisplay
3. hotplug
Comment 1 Jesse Barnes 2011-05-12 17:39:31 UTC
I found an issue in testdisplay that caused us to lose hotplug events, can you make sure you're running with my fix from May 4th?
Comment 2 bo.b.wang 2011-05-12 18:39:42 UTC
(In reply to comment #1)
> I found an issue in testdisplay that caused us to lose hotplug events, can you
> make sure you're running with my fix from May 4th?

Yes, I am sure and try "may 12" again. there is the same issue.
Comment 3 Chris Wilson 2011-07-09 11:18:54 UTC
Jesse submitted some more DP hotplug patches which landed very recently in drm-intel-fixes, would be useful to retest.
Comment 4 Jesse Barnes 2011-07-28 17:44:27 UTC
I think this one is fixed.